Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.hl7.client
Class HL7ClientApplicationImpl

    java.lang.Object
      com.stc.connector.tcpip.model.client.TCPIPClientApplicationImpl
          com.stc.connector.tcpip.ext.client.TCPIPEXTClientApplicationImpl
              com.stc.connector.tcpip.hl7.client.HL7ClientApplicationImpl

All Implemented Interfaces:
  TCPIPEXTClientApplication, HL7ClientApplication, TCPIPClientApplication

Direct Known Subclasses:
  HL7ServerApplicationImpl

    public class HL7ClientApplicationImpl

extends TCPIPEXTClientApplicationImpl
implements HL7ClientApplication, TCPIPEXTClientApplication, TCPIPClientApplication

This class implements the HL7 client application interface.

Version:
  cvs revision: $Revision: 1.14 $ Last Modified: $Date: 2008/04/24 12:54:13 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.client.TCPIPClientApplicationImpl
`defaultTimeout, mMonitorData`

Constructor Summary
`HL7ClientApplicationImpl()` Default constructor for WSDL generation.
`HL7ClientApplicationImpl(TCPIPApplicationConnection appConn, java.lang.String appName, TCPIPMonitorData aMonitorData)` Constructor for HL7ClientApplicationImpl.

Method Summary
`HL7AppMessage` | `getHL7Message()` Returns an object which is used as a HL7 specific message/function holder.
`HL7MessageInfoInterface` | `getHL7MessageInfo()` Returns an object which represents the HL7 specific configuration information.
`protected long` | `getMaxEmptyReadRetry()`
`java.lang.String` | `getState()` Returns the State which is set by user.
`protected int` | `getTimeToWaitForAResponse()`
`void` | `setHL7Message(HL7AppMessage appMessage)` Sets the appMessage.
`void` | `setHL7MessageInfo(HL7MessageInfo hl7MessageInfo)` Sets the hl7MessageInfo.
`void` | `updateMBeanProperty(java.lang.String propertyName, java.lang.String propertyDisplayValue)` Updates certain RA MBean property with the specified value.

Methods inherited from class com.stc.connector.tcpip.ext.client.TCPIPEXTClientApplicationImpl
`createBeginMarkerMsg, createEndMarkerMsg, createNumberMsg, createNumberMsg, getMessageInfo, readCertainLength, readFixedLengthMsg, readMsgBetweenMarkers, readMsgUntilMarker_old, readMsgUntilMarker, readRepeatingMsg, receiveAbstractMsg, receiveBeginEndMarkedMsg, receiveCustomEnvelopedMsg, receiveEndMarkedMsg, receiveEnvelopedMsg, receiveFixedLengthMsg, receiveLengthPrefixedMsg, receiveMarkedAndFixedMsg, receivePerActiveConnectionMsg, sendAbstractMsg, sendBeginEndMarkedMsg, sendCustomEnvelopedMsg, sendEndMarkedMsg, sendEnvelopedMsg, sendFixedLengthMsg, sendLengthPrefixedMsg, sendMarkedAndFixedMsg, sendPerActiveConnectionMsg, setMessageInfo`

Methods inherited from class com.stc.connector.tcpip.model.client.TCPIPClientApplicationImpl
`checkIfClosed, closeConnection, getApplicationConnection, getApplicationName, getCallingAdapter, getClientGeneralInfo, getLeftOverFromLastRead, getMaxDataSize, getMonitor, getResourceAdapter, getSocket, getSocketInfo, getStateHandler, getTCPIPOutboundConfigInfo, isCalledByInbound, isClosed, isServerCloseNotification, isServerCloseNotification, isServerIdleTimeout, readFully, readFully, receiveBytes, receiveString, receiveString, sendBytes, sendString, sendString, setApplicationConnection, setApplicationName, setCalledByInbound, setCallingAdapter, setClientGeneralInfo, setLeftOverFromLastRead, setMaxDataSize, setSocketInfo, setState, setTCPIPOutboundConfigInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.stc.connector.appconn.tcpip.hl7.HL7ClientApplication
`closeConnection, getMaxDataSize, getSocket, getTCPIPOutboundConfigInfo, isClosed, receiveBytes, receiveString, receiveString, sendBytes, sendString, sendString, setMaxDataSize, setState`

Methods inherited from interface com.stc.connector.appconn.tcpip.ext.TCPIPEXTClientApplication
`closeConnection, getMaxDataSize, getMessageInfo, getSocket, getTCPIPOutboundConfigInfo, isClosed, receiveBytes, receiveEnvelopedMsg, receiveString, receiveString, sendBytes, sendEnvelopedMsg, sendString, sendString, setMaxDataSize, setState`

Methods inherited from interface com.stc.connector.appconn.tcpip.model.TCPIPClientApplication
`closeConnection, getMaxDataSize, getSocket, getTCPIPOutboundConfigInfo, isClosed, receiveBytes, receiveString, receiveString, sendBytes, sendString, sendString, setMaxDataSize, setState`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7ClientApplicationImpl

    public HL7ClientApplicationImpl()

  Default constructor for WSDL generation.

### HL7ClientApplicationImpl

    public HL7ClientApplicationImpl(TCPIPApplicationConnection appConn,
                                    java.lang.String appName,
                                    TCPIPMonitorData aMonitorData)

  Constructor for HL7ClientApplicationImpl.

  Parameters:
    `appConn` - TCPIPApplicationConnection
    `appName` - The applicatin name.
    `aMonitorData` - The TCPIPMonitorData (actually HL7MonitorData) object

Method Detail

### getHL7Message

    public HL7AppMessage getHL7Message()
                                throws HL7ApplicationException

  Description copied from interface: `HL7ClientApplication`
  Returns an object which is used as a HL7 specific message/function holder.

  Parameters:
    None.

  Specified by:
    `getHL7Message` in interface `HL7ClientApplication`
  Returns:
    `HL7AppMessage` - Object.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7ClientApplication.getHL7Message()`

### getHL7MessageInfo

    public HL7MessageInfoInterface getHL7MessageInfo()
                                              throws HL7ApplicationException

  Description copied from interface: `HL7ClientApplication`
  Returns an object which represents the HL7 specific configuration information.

  Parameters:
    None.

  Specified by:
    `getHL7MessageInfo` in interface `HL7ClientApplication`
  Returns:
    `HL7MessageInfo` - Object.
  Throws:
    `HL7ApplicationException`
  See Also:
    `HL7ClientApplication.getHL7MessageInfo()`

### setHL7Message

    public void setHL7Message(HL7AppMessage appMessage)

  Sets the appMessage.

  Parameters:
    `appMessage` - The appMessage to set

### setHL7MessageInfo

    public void setHL7MessageInfo(HL7MessageInfo hl7MessageInfo)

  Sets the hl7MessageInfo.

  Parameters:
    `hl7MessageInfo` - The hl7MessageInfo to set

### getState

    public java.lang.String getState()
                              throws TCPIPApplicationException

  Description copied from interface: `TCPIPClientApplication`
  Returns the State which is set by user. User can use this state to keep track the progress of the business rules. This state has same life cycle as the resource adapter, that is, it is attached with the resource adapter. Once you set the state, its value will be kept during the whole life cycle of the resource adapter.

  Specified by:
    `getState` in interface `TCPIPEXTClientApplication`
  Specified by:
    `getState` in interface `HL7ClientApplication`
  Specified by:
    `getState` in interface `TCPIPClientApplication`
  Overrides:
    `getState` in class `TCPIPClientApplicationImpl`
  Returns:
    The state value.
  Throws:
    `TCPIPApplicationException` - on error
  See Also:
    `TCPIPClientApplication.getState()`

### getTimeToWaitForAResponse

    protected int getTimeToWaitForAResponse()

  Overrides:
    `getTimeToWaitForAResponse` in class `TCPIPClientApplicationImpl`
  Returns:
  See Also:
    `TCPIPClientApplicationImpl.getTimeToWaitForAResponse()`

### getMaxEmptyReadRetry

    protected long getMaxEmptyReadRetry()

  Overrides:
    `getMaxEmptyReadRetry` in class `TCPIPClientApplicationImpl`
  Returns:
  See Also:
    `TCPIPClientApplicationImpl.getMaxEmptyReadRetry()`

### updateMBeanProperty

    public void updateMBeanProperty(java.lang.String propertyName,
                                    java.lang.String propertyDisplayValue)

  Description copied from class: `TCPIPClientApplicationImpl`
  Updates certain RA MBean property with the specified value.

  Overrides:
    `updateMBeanProperty` in class `TCPIPClientApplicationImpl`
  See Also:
    `TCPIPClientApplicationImpl.updateMBeanProperty(java.lang.String, java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD